package com.googlecode.alfresco.repository.node.impl;

import org.alfresco.service.cmr.repository.NodeRef;
import org.alfresco.service.cmr.repository.NodeService;
import org.alfresco.service.cmr.repository.Path;
import org.springframework.beans.factory.annotation.Required;
import org.springframework.util.Assert;

import com.googlecode.alfresco.repository.node.NodeHelper;
import com.googlecode.alfresco.repository.node.PathHelper;

public class NodeHelperImpl implements NodeHelper {

	private NodeService nodeService;

	private PathHelper pathHelper;

	@Required
	public void setNodeService(NodeService nodeService) {
		Assert.notNull(nodeService, "NodeService cannot be null.");
		this.nodeService = nodeService;
	}

	@Required
	public void setPathHelper(PathHelper pathHelper) {
		Assert.notNull(pathHelper, "PathHelper cannot be null.");
		this.pathHelper = pathHelper;
	}

	public String getPath(NodeRef nodeRef) {
		Assert.notNull(nodeRef, "NodeRef cannot be null.");
		final Path path = nodeService.getPath(nodeRef);
		return pathHelper.convertPathToString(path);
	}

}
