package com.googlecode.alfresco.repository.query;

public interface QuerySerializer {

	/**
	 * Obtains the query language that this serializer generates.
	 *
	 * @return
	 */
	public String getLanguage();

	/**
	 * Serializes a given {@link Query} to String format.
	 *
	 * @param query
	 * @return
	 * @throws IllegalArgumentException
	 *             If luceneQuery is null.
	 */
	public String serializeAsString(Query query);

	/**
	 * Serializes a given {@link Query} to String format using a given {@link VariableResolver} to fill in any
	 * variables.
	 *
	 * @param query
	 * @param variableResolver
	 *            May be null, in which case the call is equivalent to {@link #serializeAsString(Query)}.
	 * @return
	 * @throws IllegalArgumentException
	 *             If query is null.
	 */
	public String serializeAsString(Query query, VariableResolver variableResolver);
}
