package com.googlecode.alfresco.repository.query;

import org.springframework.util.Assert;

/**
 * Value Object representing a Variable query.
 *
 * @author Laurens Fridael
 *
 */
public class Variable {
	private final String name;

	/**
	 * Static creation method made for the purpose of enhancing readability. Equivalent to using the constructor.
	 *
	 * @param name
	 * @return
	 * @throws IllegalArgumentException
	 *             If name is null or empty.
	 */
	public static Variable variable(final String name) {
		return new Variable(name);
	}

	public Variable(final String name) {
		Assert.hasText(name, "Name cannot be null.");
		this.name = name;
	}

	public String getName() {
		return name;
	}
}
