package com.googlecode.alfresco.repository.query.impl;

import org.springframework.util.Assert;

public class Condition<LhsType, RhsType> {

	private final LhsType Lhs;

	private final Operator operator;

	private final RhsType rhs;

	/*package*/ Condition(final LhsType Lhs, final Operator operator, final RhsType rhs) {
		Assert.notNull(Lhs);
		Assert.notNull(operator);
		Assert.notNull(rhs);
		this.Lhs = Lhs;
		this.operator = operator;
		this.rhs = rhs;
	}

	public LhsType getLhs() {
		return Lhs;
	}

	public Operator getOperator() {
		return operator;
	}

	public RhsType getRhs() {
		return rhs;
	}

}
