package com.googlecode.alfresco.repository.query.impl;

import java.util.Map;

import org.springframework.util.Assert;

import com.googlecode.alfresco.repository.query.VariableResolver;

/**
 * Map-based {@link VariableResolver} implementation.
 *
 * @author Laurens Fridael
 *
 */
public class MapVariableResolver implements VariableResolver {

	private final Map<String, Object> valuesByName;

	public MapVariableResolver(final Map<String, Object> valuesByName) {
		Assert.notNull(valuesByName);
		this.valuesByName = valuesByName;
	}

	@Override
	public Object resolveVariable(final String name) {
		Assert.hasText(name, "Variable name cannot be null.");
		return valuesByName.get(name);
	}

}
